<?php
namespace app\account\controller;
use think\Request;
use app\common\controller\Base;

class MsgJump extends Base
{
    public function jump()
    {
        $id = input('param.id');
        if (!$id) {
          	throw new \think\exception\HttpException(404, '页面不存在');
        }
        $msgInfo = db('BaseMsg')->where('id',$id)->find();
        if ($msgInfo['uid'] != config('userId')) {
          	throw new \think\exception\HttpException(404, '页面不存在');
        }
        $url = $msgInfo['url'];
        header('HTTP/1.1 302 Moved Permanently');
		if ($msgInfo['item_type'] == 'ask') {
			$url = model('app\ask\model\Asks')->getItemInfo('',$msgInfo['item_id'])['url'];
		}
		if ($msgInfo['item_type'] == 'article') {
			$url = model('app\article\model\Articles')->getItemInfo('',$msgInfo['item_id'])['url'];
		}
		if ($msgInfo['item_type'] == 'post') {
			$url = model('app\post\model\Posts')->getItemInfo('',$msgInfo['item_id'])['url'];
		}
		if ($url) {
			if ($msgInfo['status'] != 1) {
				db('BaseMsg')->where('id',$id)->update(array('status' => 1));
			}
        	header('Location: ' . $url);
		} else {
      		throw new \think\exception\HttpException(404, '页面不存在');
		}
	 	exit();
    }

}