<?php
namespace app\article\controller;

use app\common\lib\Htmlp;
use app\common\controller\AdminBase;
class ApiAdminArticleComments extends AdminBase
{
	protected $beforeActionList = ['start'];
    public function start() {
        $this->itemType = 'article';
        $this->itemName = '内容';
        $this->item = 'Articles';
        $this->itemCategory = 'ArticlesCategory';
        $this->itemContent = 'ArticlesContent';
        $this->itemSearch = 'ArticlesSearch';
        $this->itemSearchRel = 'ArticlesSearchRel';
        $this->itemModelNameSpace = 'app\article\model\Articles';
        $this->itemCategoryModelNameSpace = 'app\article\model\ArticlesCategory';
        $this->itemTagsRelModelNameSpace = 'app\tag\model\TagsRel';
        $this->domain = config('domain');
        $this->settingInfo = config('settingInfo');
        $this->itemSettingInfo = config('articleSettingInfo');
    }
    
    public function itemList()
    {
        $param['page'] = input('post.page');
        $param['limit'] = input('post.limit');
        $param['orderBy'] = input('post.orderBy');
        $param['order'] = input('post.order');
        $itemList = model('app\article\model\ArticlesComments')->getItemList($param);
        if ($itemList) {
        	
        }
        $total = model('app\article\model\ArticlesComments')->getCount($param);
        if (!$itemList) {
            $itemList = [];
        }
        return jsonSuccess('ok',['itemList' => $itemList,'total' => $total,'page' => $param['page']]);
    }
    
    public function itemDel()
    {
        $id = input('post.id');
        if (!$id) {
          return jsonError('缺少参数');
        }
        $itemInfo = db('ArticlesComments')->where('id',$id)->find();
        if (!$itemInfo) {
            return jsonError('删除项不存在');
        }
    	db('ArticlesComments')->where('id',$id)->delete();
     	return jsonSuccess('操作成功');
    }
    public function itemsDel()
    {
        $ids = input('post.ids');
        if (!$ids) {
          return jsonError('缺少参数');
        }
        $ids = explode(',',$ids);
        foreach ($ids as $id) {
    		$commentsInfo = db('ArticlesComments')->where('id',$id)->find();
	        db('ArticlesComments')->where('id',$id)->delete();
	        db('Articles')->where('id',$commentsInfo['item_id'])->update([
	            'comments_num' => db('ArticlesComments')->where('item_id',$commentsInfo['item_id'])->count()
	        ]);
        }
        return jsonSuccess('操作成功');
    }
    
}