<?php
namespace app\article\controller;
use app\common\controller\UserBase;

class ApiUserArticleCategory extends UserBase
{
    protected $beforeActionList = ['start'];
    public function start() {
        $this->itemType = 'article';
        $this->itemName = '内容';
        $this->item = 'Articles';
        $this->itemCategory = 'ArticlesCategory';
        $this->itemContent = 'ArticlesContent';
        $this->itemSearch = 'ArticlesSearch';
        $this->itemSearchRel = 'ArticlesSearchRel';
        $this->itemTagsRel = 'ArticlesTagsRel';
        $this->itemModelNameSpace = 'app\article\model\Articles';
        $this->itemCategoryModelNameSpace = 'app\article\model\ArticlesCategory';
        $this->itemTagsRelModelNameSpace = 'app\article\model\ArticlesTagsRel';
    }
    
    public function categoryList()
    {
        $data = $this->request->post();
        $data['orderBy'] = $data['orderBy'] ? $data['orderBy'] : 'sort';
        $data['pid'] = 0;
        $categoryList = model($this->itemCategoryModelNameSpace)->getCategory($data);
        $tempCategoryList = [];
        if ($categoryList) {
            foreach ($categoryList as $key => $value) {
        		$userGroupExtendInfo = model('app\\article\\model\\Articles')->getUserGroupExtendData($value['id']);
		        if ($userGroupExtendInfo['articlePublish']) {
	              	$tempChildren = [];
	               	$data['pid'] = $value['id'];
                	$categoryList[$key]['children'] = model($this->itemCategoryModelNameSpace)->getCategory($data);
	                if ($categoryList[$key]['children']) {
		            	foreach ($categoryList[$key]['children'] as $k => $v) {
        					$subExtendInfo = model('app\\article\\model\\Articles')->getUserGroupExtendData($v['id']);
					        if ($subExtendInfo['articlePublish']) {
	                			$categoryList[$key]['children'][$k]['modelInfo'] = db('ArticlesModel')->where('name',$v['model_name'])->find();
		            			$tempChildren[] = $categoryList[$key]['children'][$k];
					        }
		                }
	                }
	                $categoryList[$key]['children'] = $tempChildren;
	                $categoryList[$key]['modelInfo'] = db('ArticlesModel')->where('name',$value['model_name'])->find();
	                $tempCategoryList[] = $categoryList[$key];
		        }
            }
        }
        return jsonSuccess('操作成功',['categoryList' => $tempCategoryList]);
    }
}