<?php
namespace app\route;
use think\Route;
use think\Config;
use think\DB;
use think\Request;


	$taglib_pre_load = config('template')['taglib_pre_load'];
	$taglib_pre_load = $taglib_pre_load . ',app\\user\\Tag';
	$template = config('template');
	$template['taglib_pre_load'] = $taglib_pre_load;
	config('template',$template);

    $request = Request::instance();
    Route::group('user', [
        ':action'  => ['user/User/account?name=:action'],
    ],[],[]);
    
    Route::rule('/login/','user/UserLogin/login');
    Route::rule('/register/','user/UserLogin/register');
    Route::rule('/forget/','user/UserLogin/forget');
    Route::rule('/logOut/','user/UserLogin/logOut');
    Route::rule('/jump/','user/UserLogin/jump');
    
    Route::rule('/verifyEmail/','user/UserVerifyEmail/verifyEmail');
    Route::rule('/verifyEmailLink/','user/UserVerifyEmail/verifyEmailLink');
    
    if (strpos($request->url(),'Api') !== false) {
        Route::rule('user/:ctr/:act' ,'user/:ctr/:act'); 
    }
    