<?php
namespace addons\carousel\controller;
use think\Request;
use app\common\controller\AdminBase;

class ApiAdminCarousel extends AdminBase
{
    public function itemAdd()
    {
        $title = input('post.title');
        $description = input('post.description');
        $img_url = input('post.img_url');
        $url = input('post.url');
        if (!$img_url) {
       		return jsonError('请输入图片地址');
        }
        db('AddonsCarousel')->insert(array(
            'title' => $title,
            'description' => $description,
            'img_url' => $img_url,
            'url' => $url,
        ));
        return jsonSuccess('操作成功');
    }
    
    public function itemEdit()
    {
        $id = input('post.id');
        $title = input('post.title');
        $description = input('post.description');
        $img_url = input('post.img_url');
        $url = input('post.url');
        
        $itemInfo = db('AddonsCarousel')->where('id',$id)->find();
        if (!$itemInfo) {
          return jsonError('修改项不存在');
        }
        db('AddonsCarousel')->where('id',$id)->update(array(
           	'title' => $title,
            'description' => $description,
            'img_url' => $img_url,
            'url' => $url,
        ));
        return jsonSuccess('操作成功');
    }
    
    public function itemDel()
    {
        $id = input('post.id');
        if (!$id) {
          return jsonError('缺少参数');
        }
        $itemInfo = db('AddonsCarousel')->where('id',$id)->find();
        if (!$itemInfo) {
          return jsonError('删除项不存在');
        }
        db('AddonsCarousel')->where('id',$id)->delete();
        return jsonSuccess('成功');
    }
    
    public function itemList()
    {
        $orderBy = input('post.orderBy');
        $order = input('post.order');
        $orderBy = $orderBy ? $orderBy : 'sort';
        $order = $order ? $order : 'desc';
        $itemList = db('AddonsCarousel')->order($orderBy,$order)->select();
        $total = db('AddonsCarousel')->count();
        return jsonSuccess('',['itemList' => $itemList,'total' => $total]);
    }
 
}