<?php
namespace app\account\controller;
use app\common\lib\Htmlp;
use think\Request;
use app\common\controller\UserBase;
class ApiUserBaseMsg extends UserBase
{
    public function itemList() {
        $page = input('post.page');
        $limit = input('post.limit');
        $orderBy = input('post.orderBy');
        $order = input('post.order');
        $page = $page ? $page : 1;
        $limit = $limit ? $limit : 10;
        $orderBy = $orderBy ? $orderBy : 'id';
        $order = $order ? $order : 'desc';
        $itemList = db('BaseMsg')->where('uid',config('userId'))->page($page,$limit)->order($orderBy, $order)->select();
        if ($itemList) {
        	foreach($itemList as $key => $val) {
        		$url = $val['url'];
        		if ($val['item_type'] == 'ask' || $val['item_type'] == 'article' || $val['item_type'] == 'post') {
        			$url = config('domain') . '/msgJump/' . $val['id'];
        		}
        		$itemList[$key]['url'] = $url;
        		$title = $itemList[$key]['title'];
        		if ($val['item_type'] == 'ask') {
        			$userInfo = model('app\user\model\Users')->getItemInfo($val['item_uid']);
        			if ($val['type'] == 'askAnswer') {
        				$text = '回答了你：';
        			}
        			if ($val['type'] == 'askAnswerComments') {
        				$text = '评论了你：';
        			}
        			if ($val['type'] == 'askAnswerCommentsReply') {
        				$text = '回复了你：';
        			}
        			$title =  $userInfo['nickname'] . $text . $title;
        		}
        		if ($val['item_type'] == 'article') {
        			$userInfo = model('app\user\model\Users')->getItemInfo($val['item_uid']);
        			if ($val['type'] == 'articleComments') {
        				$text = '评论了你：';
        			}
        			if ($val['type'] == 'articleCommentsReply') {
        				$text = '回复了你：';
        			}
        			$title =  $userInfo['nickname'] . $text . $title;
        		}
        		if ($val['item_type'] == 'post') {
        			$userInfo = model('app\user\model\Users')->getItemInfo($val['item_uid']);
        			if ($val['type'] == 'postComments') {
        				$text = '评论了你：';
        			}
        			if ($val['type'] == 'postCommentsReply') {
        				$text = '回复了你：';
        			}
        			$title =  $userInfo['nickname'] . $text . $title;
        		}
        		$itemList[$key]['title'] = $title;
        	}
        }
        return jsonSuccess('ok',['itemList' => $itemList,'total' => $total,'page' => $page]);
    }
    
}