<?php
namespace app\article\controller;
use think\Request;
use app\common\controller\AdminBase;

class ApiAdminArticleSetting extends AdminBase
{
    public function itemList()
    {
        $settings = db('ArticlesSetting')->select();
        if ($settings) {
            foreach ($settings as $k => $v) {
                if ($v['key'] == 'data') {
                    $settingInfo[$v['key']] = $v['val'] ? json_decode($v['val'],true) : [];
                } else {
                    $settingInfo[$v['key']] = $v['val'];
                }
            }
        }
        return jsonSuccess('',$settingInfo ? $settingInfo : '');
    }
    
    
    public function itemEdit()
    {
        $settingInfo = json_decode(input('post.setting'),true);
        foreach ($settingInfo as $key => $val) {
            if (db('ArticlesSetting')->where( "`key` = '" . $key . "'")->find()) {
                db('ArticlesSetting')->where( "`key` = '" . $key . "'")->update(array('val' => $val));
            } else {
                db('ArticlesSetting')->insert(array(
                    'key' => $key,
                    'val' => $val
                ));
            }
        }
        return jsonSuccess('保存成功');
    }

}