<?php
namespace app\article\controller;
use think\Request;
use app\common\controller\AdminBase;

class ApiAdminArticleUserGroupExtend extends AdminBase
{
    public function itemInfo()
    {
    	$cid = input('post.cid');
    	$cid = $cid ? $cid : 0;
    	$group_id = input('post.group_id');
    	if ($group_id == 0) {
        	$itemInfo = ['group_id' => 0,'name' => '默认'];
    	} else {
        	$itemInfo = db('UsersGroup')->where('group_id',$group_id)->find();
    	}
        $itemInfo['data'] = model('app\article\model\Articles')->getUserGroupExtendInfo($group_id,$cid);
        return jsonSuccess('',$itemInfo);
    }
    public function itemList()
    {
    	$cid = input('post.cid');
    	$cid = $cid ? $cid : 0;
        $itemList = db('UsersGroup')->select();
        $tempArray = [['group_id' => 0,'name' => '默认']];
        $itemList = array_merge($tempArray,$itemList);
        if ($itemList) {
	        foreach ($itemList as $key => $val) {
        		$itemList[$key]['data'] = model('app\article\model\Articles')->getUserGroupExtendInfo($val['group_id'],$cid);
	        }
        }
        return jsonSuccess('',$itemList);
    }
    
    
    
    public function itemEdit()
    {
    	$cid = input('post.cid');
    	$cid = $cid ? $cid : 0;
        $item = input('post.item/a');
        if (!$item) {
            return jsonError('缺少请求参数');
        }
    	if (db('ArticlesUsersGroupExtend')->where('cid',$cid)->where("item_id",$item['group_id'])->find()) {
            db('ArticlesUsersGroupExtend')->where('cid',$cid)->where("item_id",$item['group_id'])->update(array(
                'data' => json_encode($item['data'],true),
       		));
        } else {
            db('ArticlesUsersGroupExtend')->insert(array(
                'item_id' => $item['group_id'],
                'cid' => $cid,
                'data' => json_encode($item['data'],true),
            ));
        }
        return jsonSuccess('操作成功');
    }
    
    //备用
//  public function itemSave()
//  {
//  	$cid = input('post.cid');
//  	$cid = $cid ? $cid : 0;
//      $itemList = input('post.itemList/a');
//      foreach ($itemList as $key => $val) {
//          if (db('ArticlesUsersGroupExtend')->where('cid',$cid)->where("item_id",$val['group_id'])->find()) {
//              db('ArticlesUsersGroupExtend')->where('cid',$cid)->where("item_id",$val['group_id'])->update(array(
//              	'data' => json_encode($val['data'],true),
//         		));
//          } else {
//              db('ArticlesUsersGroupExtend')->insert(array(
//                  'item_id' => $val['group_id'],
//              	'cid' => $cid,
//              	'data' => json_encode($val['data'],true),
//              ));
//          }
//      }
//      return jsonSuccess('保存成功');
//  }

}