<?php
namespace app\special;
use think\template\TagLib;
class Tag extends TagLib {
    
    protected $tags   =  [
        'special'      => ['close' => 1],
        'specialcrumb' => ['close' => 0],
    ];
    
    public function tagspecial($tag, $content)
    {
        if (!isset($tag['id'])) {
            $tag['id'] = 'v';
        }
        if (!isset($tag['key'])) {
            $tag['key'] = 'index';
        }
        if (isset($tag['page'])) {
            $page = $tag['page'];
        } else {
            $page = '';
        }
        foreach ($tag as $key => $val) {
            if (strpos($val, '$') !== false) {
                if (substr($val, 0, 1) == '$') {
                    if (strpos($val, '"') !== false) {
                        $val = str_replace('"', "'", $val);
                    }
                    $tag[$key] = "'.". $val . ".'";
                    
                }
            }
        }
        $html  = '<?php ';
        $html .= '$__think__tag__ = \''.json_encode($tag).'\';';
        $html .= '$__think__list__ = "";';
        $html .= '$__think__list__ = model("app.special.model.SpecialsTpl")->getItemListByTag($__think__tag__,"list");';
        $html .= ' ?>';
        $html .= '{volist name="__think__list__" id="' . $tag['id'] . '" key="' . $tag['key'] . '"}';
        $html .= $content;
        $html .= '{/volist}';
        return $html;
    }
    
    
    public function tagspecialcrumb($tag, $content)
    {
        foreach ($tag as $key => $val) {
            if (strpos($val, '$') !== false) {
                if (substr($val, 0, 1) == '$') {
                    if (strpos($val, '"') !== false) {
                        $val = str_replace('"', "'", $val);
                    }
                    $tag[$key] = "'.". $val . ".'";
                }
            }
        }
        $html  = '<?php ';
        $html .= '$__think__tag__ = \''.json_encode($tag).'\';';
        $html .= '$__think__article__ = "";';
        $html .= '$__think__article__ = model("app.special.model.Specials")->getCrumb($__think__tag__);';
        $html .= 'echo $__think__article__; ?>';
        return $html;
    }
    
}
