<?php
namespace app\special\model;
use app\common\lib\Paginationm;
use think\Db;
use think\Controller;

class SpecialsRel extends Controller
{
    public function getItemListbySpecialIds($paramData)
    {
        $page = $paramData['page'] ? $paramData['page'] : 1;
        $limit = $paramData['limit'] ? $paramData['limit'] : 10;
        $orderBy = $paramData['orderBy'] ? $paramData['orderBy'] : 'id';
        $order = $paramData['order'] ? $paramData['order'] : 'desc';
        $keywords = $paramData['keywords'] ? $paramData['keywords'] : null;
        $whereArray = $paramData['whereArray'] ? $paramData['whereArray'] : null;
        $specialIds = $paramData['specialIds'] ? $paramData['specialIds'] : null;
        if ($specialIds) {
            $specialIds = explode(',',$specialIds);
            $specialIdsWhere['special_id']  = ['in',$specialIds];
        }
        
        $itemTagsList = db('SpecialsRel')->where($specialIdsWhere)->order('id',$order)->page($page,$limit)->select();
        if ($itemTagsList) {
            foreach ($itemTagsList as $k => $v) {
                $itemTagsListIds[] = $v['item_id'];
            }
            $itemTagsListIds = implode(',', $itemTagsListIds);
            $paramData['ids'] = $itemTagsListIds;
            return model('app\article\model\Articles')->getItemList($paramData);
        }
    }
    
    public function getPaginationbySpecialIds($paramData)
    {
        $page = $paramData['page'] ? $paramData['page'] : 1;
        $limit = $paramData['limit'] ? $paramData['limit'] : 10;
        $orderBy = $paramData['orderBy'] ? $paramData['orderBy'] : 'id';
        $order = $paramData['order'] ? $paramData['order'] : 'desc';
        $keywords = $paramData['keywords'] ? $paramData['keywords'] : null;
        $whereArray = $paramData['whereArray'] ? $paramData['whereArray'] : null;
        $specialIds = $paramData['specialIds'] ? $paramData['specialIds'] : null;
        if (!$specialIds) {
            return false;
        }
        $specialIdsArray = explode(',',$specialIds);
        $specialIdsWhere['special_id']  = ['in',$specialIdsArray];
        $count = db('SpecialsRel')->where($specialIdsWhere)->count();
        $specialInfo = null;
        if (count($specialIdsArray) == 1) {
            $specialInfo = db('Specials')->where('id',$specialIds)->find();
        } else {
            return false;
        }
        if ($specialInfo) {
            $baseUrl = model('app\special\model\Specials')->getItemInfo($specialInfo['id'])['url'];
        }
        $pagination_array = array(
            'base_url' => $baseUrl,
            'total_rows' => $count,
            'per_page' => $limit,
            'cur_page' => $page,
            'page_break' => '_'
        );
        $pagination = new Paginationm($pagination_array);
        return $pagination->create_links();
    }

}