<?php
namespace app\user\controller;
use think\Request;
use app\common\controller\AdminBase;

class ApiAdminUserGroupExtend extends AdminBase
{
    public function itemInfo()
    {
    	$cid = input('post.cid');
    	$cid = $cid ? $cid : 0;
    	$group_id = input('post.group_id');
        $itemInfo = db('UsersGroup')->where('group_id',$group_id)->find();
        $itemInfo['data'] = model('app\user\model\Users')->getUserGroupExtendInfo($group_id,$cid);
        return jsonSuccess('',$itemInfo);
    }
    public function itemList()
    {
    	$cid = input('post.cid');
    	$cid = $cid ? $cid : 0;
        $itemList = db('UsersGroup')->select();
        if ($itemList) {
	        foreach ($itemList as $key => $val) {
        		$itemList[$key]['data'] = model('app\user\model\Users')->getUserGroupExtendInfo($val['group_id'],$cid);
	        }
        }
        return jsonSuccess('',$itemList);
    }
    
    
    
    public function itemEdit()
    {
    	$cid = input('post.cid');
    	$cid = $cid ? $cid : 0;
        $item = input('post.item/a');
        if (!$item) {
            return jsonError('缺少请求参数');
        }
    	if (db('UsersGroupExtend')->where('cid',$cid)->where("item_id",$item['group_id'])->find()) {
            db('UsersGroupExtend')->where('cid',$cid)->where("item_id",$item['group_id'])->update(array(
                'data' => json_encode($item['data'],true),
       		));
        } else {
            db('UsersGroupExtend')->insert(array(
                'item_id' => $item['group_id'],
                'cid' => $cid,
                'data' => json_encode($item['data'],true),
            ));
        }
        return jsonSuccess('操作成功');
    }

}