<?php
namespace app\user\controller;
use think\Request;
use app\common\controller\Init;

class UserVerifyEmail extends Init
{
    public function verifyEmail()
    {
    	if (!$this->userId) {
            header('HTTP/1.1 302 Moved Permanently');
            header('Location: ' . $this->domain);
            exit();
    	}
        if ($this->keyInfo['userRegVerify'] == 'email' && !$this->userInfo['verify_email']) {
        	return $this->siteView('user/verifyEmail');
        }
        header('HTTP/1.1 302 Moved Permanently');
        header('Location: ' . $this->domain);
        exit();
    }
    
    public function verifyEmailLink()
    {
    	$token = input('param.token');
    	$uid = input('param.uid');
    	if (!$token) {
        	exit('参数错误');
    	}
    	if (!$uid) {
        	exit('参数错误');
    	}
    	
    	$verifyInfo = db('UsersVerify')->where('uid',$uid)->find();
	    if (!$verifyInfo) {
        	exit('链接失效');
	    }
	    
    	$verifyInfo = db('UsersVerify')->where('uid',$uid)->where('token',$token)->find();
	    if (!$verifyInfo) {
        	exit('链接失效');
	    }
	    if ($token == $verifyInfo['token']) {
	    	db('Users')->where('uid',$uid)->update(['verify_email' => 1]);
	    	db('Users')->where('uid',$uid)->update(array(
                'last_login_time' => time(),
                'last_login_ip' => Request::instance()->ip(),
                'login_num' => 1,
            ));
            $token = unid();
            db('UsersToken')->insert(array('uid' => $uid,'add_time' => time(),'token' => $token));
            cookie('userToken',$token,360000);
            db('UsersVerify')->where('uid',$uid)->where('token',$token)->delete();
        	$this->success('激活成功',$this->domain);
	    }
    	
    }
    
}